GifStrings (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.gif
Class GifStrings

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.gif.GifStrings

    public class GifStrings

extends java.lang.Object

A class for holding arrays of informative strings that will go into properties of a GIF object.

Field Summary
`static java.lang.String[]` | `COLOR_TABLE_SORT_FLAG` Strings for ordering or non-ordering of color table
`static java.lang.String[]` | `GCE_DISPOSAL_METHOD` GIF Capabilities Enquiry string: way in which the graphic is to be treated after being displayed
`static java.lang.String[]` | `GCE_TRANSPARENCY_FLAG` GIF Capabilities Enquiry string: transparency index given or not
`static java.lang.String[]` | `GCE_USER_INPUT_FLAG` GIF Capabilities Enquiry string: user input expected or not
`static java.lang.String[]` | `GLOBAL_COLOR_TABLE_FLAG` Strings for presence or absence of global color table
`static java.lang.String[]` | `INTERLACE_FLAG` Image is interlaced or not
`static java.lang.String[]` | `LOCAL_COLOR_TABLE_FLAG` Local color table present in image or not

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_COLOR_TABLE_FLAG

    public static final java.lang.String[] GLOBAL_COLOR_TABLE_FLAG

  Strings for presence or absence of global color table

### COLOR_TABLE_SORT_FLAG

    public static final java.lang.String[] COLOR_TABLE_SORT_FLAG

  Strings for ordering or non-ordering of color table

### GCE_DISPOSAL_METHOD

    public static final java.lang.String[] GCE_DISPOSAL_METHOD

  GIF Capabilities Enquiry string: way in which the graphic is to be treated after being displayed

### GCE_USER_INPUT_FLAG

    public static final java.lang.String[] GCE_USER_INPUT_FLAG

  GIF Capabilities Enquiry string: user input expected or not

### GCE_TRANSPARENCY_FLAG

    public static final java.lang.String[] GCE_TRANSPARENCY_FLAG

  GIF Capabilities Enquiry string: transparency index given or not

### LOCAL_COLOR_TABLE_FLAG

    public static final java.lang.String[] LOCAL_COLOR_TABLE_FLAG

  Local color table present in image or not

### INTERLACE_FLAG

    public static final java.lang.String[] INTERLACE_FLAG

  Image is interlaced or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD